summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-devel/m4
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-devel/m4')
-rw-r--r--sys-devel/m4/Manifest2
-rw-r--r--sys-devel/m4/files/m4-1.4.16-fix-test-readlink.patch11
-rw-r--r--sys-devel/m4/files/m4-1.4.16-no-gets.patch24
-rw-r--r--sys-devel/m4/m4-1.4.16.ebuild55
-rw-r--r--sys-devel/m4/m4-1.4.17.ebuild51
-rw-r--r--sys-devel/m4/metadata.xml5
6 files changed, 148 insertions, 0 deletions
diff --git a/sys-devel/m4/Manifest b/sys-devel/m4/Manifest
new file mode 100644
index 00000000000..a2caf523c17
--- /dev/null
+++ b/sys-devel/m4/Manifest
@@ -0,0 +1,2 @@
+DIST m4-1.4.16.tar.xz 1005264 SHA256 d5b5d51cf8f5b18f3bac39bc2f6b1e61f34d400136ae1a87d075e26a38028d5d SHA512 1123671ab3e0b1b13a4a08035e792a93af0d7d0a5b9027982fe7b5104488a0746906068a0f4774c1f1bc2648ba1bc74d690836e90ff9391464278e4ccbc7edf0 WHIRLPOOL 0438098dab71f6a66c2b18aed2941ef9a2152a8061c2f9903373a1348b261354429806c2bd313f55c7aaa612fe4c2f7628a1fff3c80819565df2a3b664485c23
+DIST m4-1.4.17.tar.xz 1149088 SHA256 f0543c3beb51fa6b3337d8025331591e0e18d8ec2886ed391f1aade43477d508 SHA512 406e6e97c3f5c5f3c8055bac748d4fe8c2e861d97e84ab6d840a2caa7df04f523cc662d6d51f6afae7d6c219d03693c7ae0c1e669a80246a3ceb5e8342b82389 WHIRLPOOL 69a9f9129dd2f2fd0f5d61771cbac2208f10aa83e0d42fe4213eb10283cc68ce1a96717aece99e92890a4135eb7e201c638d4d9bc17ac10026b0989f3a64940e
diff --git a/sys-devel/m4/files/m4-1.4.16-fix-test-readlink.patch b/sys-devel/m4/files/m4-1.4.16-fix-test-readlink.patch
new file mode 100644
index 00000000000..bb887c4b230
--- /dev/null
+++ b/sys-devel/m4/files/m4-1.4.16-fix-test-readlink.patch
@@ -0,0 +1,11 @@
+--- tests/test-readlink.h
++++ tests/test-readlink.h
+@@ -38,7 +38,7 @@
+ ASSERT (errno == ENOENT);
+ errno = 0;
+ ASSERT (func ("", buf, sizeof buf) == -1);
+- ASSERT (errno == ENOENT);
++ ASSERT (errno == ENOENT || errno == EINVAL);
+ errno = 0;
+ ASSERT (func (".", buf, sizeof buf) == -1);
+ ASSERT (errno == EINVAL);
diff --git a/sys-devel/m4/files/m4-1.4.16-no-gets.patch b/sys-devel/m4/files/m4-1.4.16-no-gets.patch
new file mode 100644
index 00000000000..bb8069b8e76
--- /dev/null
+++ b/sys-devel/m4/files/m4-1.4.16-no-gets.patch
@@ -0,0 +1,24 @@
+https://bugs.gentoo.org/424978
+
+hack until m4 pulls a newer gnulib version
+
+From 66712c23388e93e5c518ebc8515140fa0c807348 Mon Sep 17 00:00:00 2001
+From: Eric Blake <eblake@redhat.com>
+Date: Thu, 29 Mar 2012 13:30:41 -0600
+Subject: [PATCH] stdio: don't assume gets any more
+
+Gnulib intentionally does not have a gets module, and now that C11
+and glibc have dropped it, we should be more proactive about warning
+any user on a platform that still has a declaration of this dangerous
+interface.
+
+--- a/lib/stdio.in.h
++++ b/lib/stdio.in.h
+@@ -125,7 +125,6 @@
+ so any use of gets warrants an unconditional warning. Assume it is
+ always declared, since it is required by C89. */
+ #undef gets
+-_GL_WARN_ON_USE (gets, "gets is a security hole - use fgets instead");
+
+ #if @GNULIB_FOPEN@
+ # if @REPLACE_FOPEN@
diff --git a/sys-devel/m4/m4-1.4.16.ebuild b/sys-devel/m4/m4-1.4.16.ebuild
new file mode 100644
index 00000000000..d294758daab
--- /dev/null
+++ b/sys-devel/m4/m4-1.4.16.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="3"
+
+inherit eutils
+
+DESCRIPTION="GNU macro processor"
+HOMEPAGE="http://www.gnu.org/software/m4/m4.html"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples"
+
+# remember: cannot dep on autoconf since it needs us
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-fix-test-readlink.patch #376639
+ epatch "${FILESDIR}"/${P}-no-gets.patch #424978
+
+ # Disable gnulib build test that has no impact on the source.
+ echo 'exit 0' > tests/test-update-copyright.sh || die
+}
+
+src_configure() {
+ # Disable automagic dependency over libsigsegv; see bug #278026
+ export ac_cv_libsigsegv=no
+
+ local myconf=""
+ [[ ${USERLAND} != "GNU" ]] && myconf="--program-prefix=g"
+ econf --enable-changeword ${myconf}
+}
+
+src_test() {
+ [[ -d /none ]] && die "m4 tests will fail with /none/" #244396
+ emake check || die
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die
+ # autoconf-2.60 for instance, first checks gm4, then m4. If we don't have
+ # gm4, it might find gm4 from outside the prefix on for instance Darwin
+ use prefix && dosym /usr/bin/m4 /usr/bin/gm4
+ dodoc BACKLOG ChangeLog NEWS README* THANKS TODO
+ if use examples ; then
+ docinto examples
+ dodoc examples/*
+ rm -f "${ED}"/usr/share/doc/${PF}/examples/Makefile*
+ fi
+}
diff --git a/sys-devel/m4/m4-1.4.17.ebuild b/sys-devel/m4/m4-1.4.17.ebuild
new file mode 100644
index 00000000000..265d7ee829a
--- /dev/null
+++ b/sys-devel/m4/m4-1.4.17.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+DESCRIPTION="GNU macro processor"
+HOMEPAGE="http://www.gnu.org/software/m4/m4.html"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples"
+
+# remember: cannot dep on autoconf since it needs us
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+src_prepare() {
+ # Disable gnulib build test that has no impact on the source.
+ # Re-enable w/next version bump (and gnulib is updated). #554728
+ [[ ${PV} != "1.4.17" ]] && die "re-enable test #554728"
+ echo 'exit 0' > tests/test-update-copyright.sh || die
+}
+
+src_configure() {
+ # Disable automagic dependency over libsigsegv; see bug #278026
+ export ac_cv_libsigsegv=no
+
+ local myconf=""
+ [[ ${USERLAND} != "GNU" ]] && myconf="--program-prefix=g"
+ econf --enable-changeword ${myconf}
+}
+
+src_test() {
+ [[ -d /none ]] && die "m4 tests will fail with /none/" #244396
+ emake check
+}
+
+src_install() {
+ default
+ # autoconf-2.60 for instance, first checks gm4, then m4. If we don't have
+ # gm4, it might find gm4 from outside the prefix on for instance Darwin
+ use prefix && dosym /usr/bin/m4 /usr/bin/gm4
+ if use examples ; then
+ docinto examples
+ dodoc examples/*
+ rm -f "${ED}"/usr/share/doc/${PF}/examples/Makefile*
+ fi
+}
diff --git a/sys-devel/m4/metadata.xml b/sys-devel/m4/metadata.xml
new file mode 100644
index 00000000000..96a2d586367
--- /dev/null
+++ b/sys-devel/m4/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>base-system</herd>
+</pkgmetadata>